package pripojeni;
import java.sql.*;
public class PripojeniDERBY {
	private static Connection connect = null;
	static {
		try {			
			Class.forName("org.apache.derby.jdbc.ClientDriver").newInstance();
		} catch (InstantiationException | IllegalAccessException | ClassNotFoundException e) {
			System.out.println("Problem s nactenim driveru - nutne pridat do CLASSPATH");
		}
	}
	private static void pripojeniKDatabazi() {
		try {
			connect = DriverManager.getConnection("jdbc:derby://localhost:1527/databaze01;"
					+ "create=true;user=uzivatel1;password=heslo1");
			System.out.println("Podarilo se pripojit");
		} catch (Exception e) {
			System.err.println("Nepodarilo se pripojit");
		}
	}
	private static void odpojimeDatabazi() {
		try {
			if (connect != null) {
				connect.close();
			}
			System.out.println("Podarilo se odpojit od databaze");
		} catch (SQLException e) {
			System.out.println("Nepodarilo se odpojit od databaze");
			e.printStackTrace();
		}
	}
	public static void main(String[] args) {
		System.out.println("Start Programu");
		pripojeniKDatabazi();
		odpojimeDatabazi();
		System.out.println("Konec Programu");
	}
}